# Uses of Class
org.apache.felix.http.base.internal.runtime.ServletContextHelperInfo

Packages that use ServletContextHelperInfo
Package
Description
org.apache.felix.http.base.internal.registry
org.apache.felix.http.base.internal.runtime
org.apache.felix.http.base.internal.runtime.dto
org.apache.felix.http.base.internal.whiteboard

## Uses of ServletContextHelperInfo in org.apache.felix.http.base.internal.registry

Methods in org.apache.felix.http.base.internal.registry with parameters of type ServletContextHelperInfo
Modifier and Type
Method
Description
`void`
HandlerRegistry.`remove(@NotNull ServletContextHelperInfo info)`
Remove a context registration.
Constructors in org.apache.felix.http.base.internal.registry with parameters of type ServletContextHelperInfo
Modifier
Constructor
Description
``
`PerContextHandlerRegistry(@NotNull ServletContextHelperInfo info, @NotNull org.apache.felix.http.base.internal.HttpConfig config)`
Registry for a servlet context helper (whiteboard support)

## Uses of ServletContextHelperInfo in org.apache.felix.http.base.internal.runtime

Subclasses of ServletContextHelperInfo in org.apache.felix.http.base.internal.runtime
Modifier and Type
Class
Description
`class`
`DefaultServletContextHelperInfo`
Info for the default context

## Uses of ServletContextHelperInfo in org.apache.felix.http.base.internal.runtime.dto

Methods in org.apache.felix.http.base.internal.runtime.dto with parameters of type ServletContextHelperInfo
Modifier and Type
Method
Description
`static org.osgi.service.servlet.runtime.dto.ServletContextDTO`
ServletContextDTOBuilder.`build(ServletContextHelperInfo info, jakarta.servlet.ServletContext context, int reason)`

## Uses of ServletContextHelperInfo in org.apache.felix.http.base.internal.whiteboard

Methods in org.apache.felix.http.base.internal.whiteboard that return ServletContextHelperInfo
Modifier and Type
Method
Description
`@NotNull ServletContextHelperInfo`
WhiteboardContextHandler.`getContextInfo()`
Methods in org.apache.felix.http.base.internal.whiteboard with parameters of type ServletContextHelperInfo
Modifier and Type
Method
Description
`boolean`
WhiteboardManager.`addContextHelper(ServletContextHelperInfo info)`
Add a servlet context helper.
`void`
WhiteboardManager.`removeContextHelper(ServletContextHelperInfo info)`
Remove a servlet context helper
Constructors in org.apache.felix.http.base.internal.whiteboard with parameters of type ServletContextHelperInfo
Modifier
Constructor
Description
``
`HttpServiceContextHandler(ServletContextHelperInfo info, PerContextHandlerRegistry registry, HttpServiceFactory httpServiceFactory, jakarta.servlet.ServletContext webContext, org.osgi.framework.Bundle httpBundle)`
``
`WhiteboardContextHandler(@NotNull ServletContextHelperInfo info, @NotNull jakarta.servlet.ServletContext webContext, @NotNull org.osgi.framework.Bundle httpBundle)`